##########################################################################
# DoStuff.py:  Execution control Python source file for the Simcal1      #
# module.  Running this file unmodified will execute the ENTIRE sequence #
# of operations, through data import, preprocessing, and clustering and  #
# linking ... so be careful!                                             #
# Copyright (c) 2004 Daniel Dvorkin.                                     #
# Distributed under the Artistic License, WITHOUT "optional clause 8"    #
# (see http://www.opensource.org/licenses/artistic-license.php).         #
# All rights not granted in this license are reserved by the author.     #
##########################################################################

from Simcal1 import *

# INITIAL NOTIFICATION

print "BEGIN ALL OPERATIONS:  %s" % (asctime())

# POPULATION

populate_raw_replicants("PUT TEXT FILES FULL DIRECTORY PATH HERE")
populate_normal_replicants()
populate_genes()

# CLUSTERING

do_find_gene_relationships()
do_clustering()
do_find_succession()

# FINAL NOTIFICATION

print "END ALL OPERATIONS:  %s" % (asctime())